com.orsoncharts.data.xyz

## Interface XYZDataset

- All Superinterfaces:
    Dataset3D
  All Known Implementing Classes:
    XYZSeriesCollection

      public interface XYZDataset
      extends Dataset3D

  Defines the methods used to access data in the form of multiple series containing `(x, y, z)` data items. This is the standard dataset format used by the `XYZPlot` class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getItemCount(int series)` Returns the number of items in a given series.
    `int` | `getSeriesCount()` Returns the number of series in the dataset.
    `int` | `getSeriesIndex(java.lang.Comparable<?> key)` Returns the index of the specified series key, or `-1` if the key is not found.
    `java.lang.Comparable<?>` | `getSeriesKey(int index)` Returns the key for the specified series.
    `java.util.List<java.lang.Comparable<?>>` | `getSeriesKeys()` Returns a list of the series-keys for the dataset.
    `double` | `getX(int series, int item)` Returns the x-value for an item in a series.
    `double` | `getY(int series, int item)` Returns the y-value for an item in a series.
    `double` | `getZ(int series, int item)` Returns the z-value for an item in a series.

    - ### Methods inherited from interface com.orsoncharts.data.Dataset3D

      `addChangeListener, hasListener, removeChangeListener`

- - ### Method Detail

    - #### getSeriesCount

          int getSeriesCount()

      Returns the number of series in the dataset.
      Returns:
        The number of series in the dataset.

    - #### getSeriesKeys

          java.util.List<java.lang.Comparable<?>> getSeriesKeys()

      Returns a list of the series-keys for the dataset. Modifying this list will have no impact on the underlying dataset.
      Returns:
        A list of the series-keys (possibly empty, but never `null`).

    - #### getSeriesKey

          java.lang.Comparable<?> getSeriesKey(int index)

      Returns the key for the specified series.
      Parameters:
        `index` - the series index.
      Returns:
        The series key.
      Since:
        1.3

    - #### getSeriesIndex

          int getSeriesIndex(java.lang.Comparable<?> key)

      Returns the index of the specified series key, or `-1` if the key is not found.
      Parameters:
        `key` - the key (`null` not permitted).
      Returns:
        The index of the key, or `-1`.

    - #### getItemCount

          int getItemCount(int series)

      Returns the number of items in a given series.
      Parameters:
        `series` - the series index.
      Returns:
        The item count.

    - #### getX

          double getX(int series,
                      int item)

      Returns the x-value for an item in a series.
      Parameters:
        `series` - the series index.
        `item` - the item index.
      Returns:
        The x-value.

    - #### getY

          double getY(int series,
                      int item)

      Returns the y-value for an item in a series.
      Parameters:
        `series` - the series index.
        `item` - the item index.
      Returns:
        The y-value.

    - #### getZ

          double getZ(int series,
                      int item)

      Returns the z-value for an item in a series.
      Parameters:
        `series` - the series index.
        `item` - the item index.
      Returns:
        The z-value.